org.apache.lucene.analysis.ja.dict

## Class ConnectionCosts

- java.lang.Object
- - org.apache.lucene.analysis.ja.dict.ConnectionCosts

-     public final class ConnectionCosts
      extends Object

  n-gram connection cost data

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `FILENAME_SUFFIX`
    `static String` | `HEADER`
    `static int` | `VERSION`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `get(int forwardId, int backwardId)`
    `static ConnectionCosts` | `getInstance()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FILENAME_SUFFIX

          public static final String FILENAME_SUFFIX

      See Also:
        Constant Field Values

    - #### HEADER

          public static final String HEADER

      See Also:
        Constant Field Values

    - #### VERSION

          public static final int VERSION

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### get

          public int get(int forwardId,
                int backwardId)

    - #### getInstance

          public static ConnectionCosts getInstance()

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.